apiVersion: v1
kind: Service
metadata:
  labels:
    {{- include "hello-world-chart.labels" . | nindent 4 }}
  name: hello-world
  namespace: {{ .Values.namespace }}
  annotations:
    service.beta.kubernetes.io/aws-load-balancer-type: external
    service.beta.kubernetes.io/aws-load-balancer-nlb-target-type: ip
    service.beta.kubernetes.io/aws-load-balancer-scheme: internet-facing
spec:
  type: LoadBalancer
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 5000
  selector:
    {{- include "hello-world-chart.selectorLabels" . | nindent 4 }}
